ChannelStatusModeType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum ChannelStatusModeType

- java.lang.Object
- - java.lang.Enum<ChannelStatusModeType>
  - - tv.amwa.maj.enumeration.ChannelStatusModeType

- All Implemented Interfaces:
    Serializable, Comparable<ChannelStatusModeType>, MediaEnumerationValue

      public enum ChannelStatusModeType
      extends Enum<ChannelStatusModeType>
      implements MediaEnumerationValue

  Specifies how channel status data is encoded as part of a AES3 PCM descriptor.

  See Also:
    `AES3PCMDescriptor.getChannelStatusMode()`, `TypeDefinitions.ChannelStatusModeType`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Essence` Stream of data multiplexed within essence.
    `Fixed` Fixed 24 bytes of data in the fixed channel status data property.
    `Minimum` AES3 minimum encoded channel data (byte 0 bit 1 = '1').
    `None` No channel status mode data is encoded.
    `Standard` AES3 standard encoding of channel status data.
    `Stream` Stream of data within header metadata.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ChannelStatusModeType` | `fromOrdinal(int channelStatusModeValue)` Return the channel status mode element of this enumeration for the given ordinal value.
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static ChannelStatusModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ChannelStatusModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### None

          public static final ChannelStatusModeType None

      No channel status mode data is encoded.

    - #### Minimum

          public static final ChannelStatusModeType Minimum

      AES3 minimum encoded channel data (byte 0 bit 1 = '1').

    - #### Standard

          public static final ChannelStatusModeType Standard

      AES3 standard encoding of channel status data.

    - #### Fixed

          public static final ChannelStatusModeType Fixed

      Fixed 24 bytes of data in the fixed channel status data property.

    - #### Stream

          public static final ChannelStatusModeType Stream

      Stream of data within header metadata.

    - #### Essence

          public static final ChannelStatusModeType Essence

      Stream of data multiplexed within essence.

  - ### Method Detail

    - #### values

          public static ChannelStatusModeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChannelStatusModeType c : ChannelStatusModeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChannelStatusModeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### fromOrdinal

          public static final ChannelStatusModeType fromOrdinal(int channelStatusModeValue)

      Return the channel status mode element of this enumeration for the given ordinal value.

      Parameters:
        `channelStatusModeValue` - Ordinal value corresponding to a value of this enumeration type.
      Returns:
        Corresponding enumeration value.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.